"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupVitestGenerator = void 0;
const tslib_1 = require("tslib");
const devkit_1 = require("@nx/devkit");
const path = require("path");
const version_utils_1 = require("../../utils/version-utils");
const add_analog_dependencies_1 = require("./lib/add-analog-dependencies");
const update_tsconfig_1 = require("./lib/update-tsconfig");
const update_test_target_1 = require("./lib/update-test-target");
function addFiles(tree, options) {
    const projects = (0, devkit_1.getProjects)(tree);
    const projectConfig = projects.get(options.project);
    const templateOptions = Object.assign(Object.assign({}, options), { template: '' });
    (0, devkit_1.generateFiles)(tree, path.join(__dirname, 'files'), projectConfig.root || '.', templateOptions);
}
function setupVitestGenerator(tree, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const angularVersion = (0, version_utils_1.getInstalledPackageVersion)(tree, '@angular/core');
        (0, add_analog_dependencies_1.addAnalogDependencies)(tree, angularVersion);
        (0, update_tsconfig_1.updateTsConfig)(tree, options);
        (0, update_test_target_1.updateTestTarget)(tree, options);
        addFiles(tree, options);
        yield (0, devkit_1.formatFiles)(tree);
        return () => {
            (0, devkit_1.installPackagesTask)(tree);
        };
    });
}
exports.setupVitestGenerator = setupVitestGenerator;
exports.default = setupVitestGenerator;
//# sourceMappingURL=generator.js.map